
//已经在线的状态，基类。ClientConnectingState，HostingState
public abstract class OnlineState : ConnectionState
{
    public const string k_DtlsConnType = "dtls";

    public override void OnUserRequestedShutdown()
    {
        //m_ConnectStatusPublisher.Publish(ConnectStatus.UserRequestedDisconnect);
        m_ConnectionManager.ChangeState(m_ConnectionManager.m_Offline);
    }

    public override void OnTransportFailure()
    {
        m_ConnectionManager.ChangeState(m_ConnectionManager.m_Offline);
    }
}
